/*                                                                            */
/* KIM-API: An API for interatomic models                                     */
/* Copyright (c) 2013--2022, Regents of the University of Minnesota.          */
/* All rights reserved.                                                       */
/*                                                                            */
/* Contributors:                                                              */
/*    Ryan S. Elliott                                                         */
/*                                                                            */
/* SPDX-License-Identifier: LGPL-2.1-or-later                                 */
/*                                                                            */
/* This library is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU Lesser General Public                 */
/* License as published by the Free Software Foundation; either               */
/* version 2.1 of the License, or (at your option) any later version.         */
/*                                                                            */
/* This library is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU          */
/* Lesser General Public License for more details.                            */
/*                                                                            */
/* You should have received a copy of the GNU Lesser General Public License   */
/* along with this library; if not, write to the Free Software Foundation,    */
/* Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA         */
/*                                                                            */

/*                                                                            */
/* Release: This file is part of the kim-api.git repository.                  */
/*                                                                            */


#ifndef KIM_VERSION_H_
#define KIM_VERSION_H_

/**
 ** \brief The major version number of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
/* clang-format off */
#define KIM_VERSION_MAJOR 2
/* clang-format on */

/**
 ** \brief The minor version number of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
/* clang-format off */
#define KIM_VERSION_MINOR 3
/* clang-format on */

/**
 ** \brief The patch version number of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
/* clang-format off */
#define KIM_VERSION_PATCH 0
/* clang-format on */

/**
 ** \brief The prerelease version string of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
#define KIM_VERSION_PRERELEASE "git"

/**
 ** \brief The build metadata version string of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
#define KIM_VERSION_BUILD_METADATA "GNU.GNU.GNU"

/**
 ** \brief The complete version string of the %KIM API
 **
 ** The %KIM API conforms to <A HREF="https://semver.org">Semantic Versioning
 ** 2.0.0</A>.
 **
 ** \since 2.0
 **/
#define KIM_VERSION_STRING "2.3.0-git+GNU.GNU.GNU"

#endif /* KIM_VERSION_H_ */
